PDA

View Full Version : Upgraded MySQL from 4.xx to version 5.0.51 and get error on PHP 5.2.6



Herbert
05-13-2008, 12:00 PM
Hello,
i upgraded MySQL from 4.xx to version 5.0.51 and get error on build with PHP 5.2.6

My Error:

In function `zif_mysqli_get_charset':
/usr/local/directadmin/custombuild/php-5.2.6/ext/mysqli/mysqli_nonapi.c:372: undefined reference to `mysql_get_character_set_info'
collect2: ld returned 1 exit status
make: *** [sapi/cgi/php-cgi] Fout 1

How can i fix this?

evil_smurf
05-21-2008, 06:32 PM
Be sure that the version of mysql, as well as the mysql libraries, are actually version 5.

smtalk
06-12-2008, 01:48 AM
Make sure you don't have mysql in /usr. I think you have 2 different installations of MySQL.

1st one:


/usr/bin/mysql -V


2nd one:


/usr/local/mysql/bin/mysql -V